[Vm-dev] [commit][2977] Add traps and dir checks to soem makeall scripts

commits at squeakvm.org commits at squeakvm.org
Wed Jun 11 00:49:04 UTC 2014


Revision: 2977
Author:   eliot
Date:     2014-06-10 17:49:03 -0700 (Tue, 10 Jun 2014)
Log Message:
-----------
Add traps and dir checks to soem makeall scripts

Modified Paths:
--------------
    branches/Cog/build.macos32x86/makeall
    branches/Cog/build.win32x86/makeall

Modified: branches/Cog/build.macos32x86/makeall
===================================================================
--- branches/Cog/build.macos32x86/makeall	2014-06-10 23:59:15 UTC (rev 2976)
+++ branches/Cog/build.macos32x86/makeall	2014-06-11 00:49:03 UTC (rev 2977)
@@ -1,7 +1,11 @@
 #!/bin/bash
 trap 'exit 2' HUP INT PIPE TERM 0
 for d in newspeak.* squeak.*; do
-	(cd $d;./mvm -A)
+	if test -d "$d"; then
+		(cd $d;./mvm -A)
+	else
+		echo no $d directory found
+	fi
 done
 echo no news is good news...
 grep 'BUILD FAILED' newspeak.*/LOG* squeak.*/LOG*

Modified: branches/Cog/build.win32x86/makeall
===================================================================
--- branches/Cog/build.win32x86/makeall	2014-06-10 23:59:15 UTC (rev 2976)
+++ branches/Cog/build.win32x86/makeall	2014-06-11 00:49:03 UTC (rev 2977)
@@ -1,4 +1,9 @@
 #!/bin/bash
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in newspeak.* squeak.*; do
-	(cd $d;./mvm)
+	if test -d "$d"; then
+		(cd $d;./mvm)
+	else
+		echo no $d directory found
+	fi
 done



More information about the Vm-dev mailing list